    
variables:
    GOBOT_VERSION: 1
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$GOBOT_VERSION
    # Tell 'docker:dind' to enable TLS (recommended)
    # and generate certificates in the specified directory.
    DOCKER_TLS_CERTDIR: "/certs"

docker-image-job:
    tags:
        - go
    image: docker:latest
    services:
        - docker:dind
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build -t $IMAGE_TAG .
        - docker push $IMAGE_TAG
